Package org.opensaml.security.x509.tls.impl

# Class BasicClientTLSValidationConfiguration

java.lang.Object
org.opensaml.security.x509.tls.impl.BasicClientTLSValidationConfiguration

All Implemented Interfaces:
  `ClientTLSValidationConfiguration`

public class BasicClientTLSValidationConfiguration extends Object implements ClientTLSValidationConfiguration
Basic implementation of `ClientTLSValidationConfiguration`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private CertificateNameOptions`
`certificateNameOptions`
A `CertificateNameOptions` instance used to validate a client TLS `X509Credential`.
`private TrustEngine<? super X509Credential>`
`x509TrustEngine`
A `TrustEngine` instance used to validate a client TLS `X509Credential`.

## Constructor Summary

Constructors
Constructor
Description
`BasicClientTLSValidationConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`CertificateNameOptions`
`getCertificateNameOptions()`
Get a `CertificateNameOptions` instance to use when evaluating a client TLS `X509Credential`.
`TrustEngine<? super X509Credential>`
`getX509TrustEngine()`
Get a `TrustEngine` instance used to validate a client TLS `X509Credential`.
`BasicClientTLSValidationConfiguration`
`setCertificateNameOptions(CertificateNameOptions options)`
Set a `CertificateNameOptions` instance to use when evaluating a client TLS `X509Credential`.
`BasicClientTLSValidationConfiguration`
`setX509TrustEngine(TrustEngine<? super X509Credential> engine)`
Set a `TrustEngine` instance used to validate a client TLS `X509Credential`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### x509TrustEngine

@Nullable private TrustEngine<? super X509Credential> x509TrustEngine
A `TrustEngine` instance used to validate a client TLS `X509Credential`.

### certificateNameOptions

@Nullable private CertificateNameOptions certificateNameOptions
A `CertificateNameOptions` instance used to validate a client TLS `X509Credential`.

## Constructor Details

### BasicClientTLSValidationConfiguration

public BasicClientTLSValidationConfiguration()

## Method Details

### getX509TrustEngine

@Nullable public TrustEngine<? super X509Credential> getX509TrustEngine()
Get a `TrustEngine` instance used to validate a client TLS `X509Credential`.

Specified by:
  `getX509TrustEngine` in interface `ClientTLSValidationConfiguration`
Returns:
  a trust engine instance, may be null

### setX509TrustEngine

@Nonnull public BasicClientTLSValidationConfiguration setX509TrustEngine(@Nullable TrustEngine<? super X509Credential> engine)
Set a `TrustEngine` instance used to validate a client TLS `X509Credential`.

Parameters:
  `engine` - a trust engine instance, may be null
Returns:
  this object

### getCertificateNameOptions

@Nullable public CertificateNameOptions getCertificateNameOptions()
Get a `CertificateNameOptions` instance to use when evaluating a client TLS `X509Credential`.

Specified by:
  `getCertificateNameOptions` in interface `ClientTLSValidationConfiguration`
Returns:
  an options instance, may be null

### setCertificateNameOptions

@Nonnull public BasicClientTLSValidationConfiguration setCertificateNameOptions(@Nullable CertificateNameOptions options)
Set a `CertificateNameOptions` instance to use when evaluating a client TLS `X509Credential`.

Parameters:
  `options` - an options instance, may be null
Returns:
  this object